--
-- Ropa PR-XL trailer
--
-- @author: 	Burner
-- @date: 		29.04.2013
--

PR_XL_trailer = {}

function PR_XL_trailer.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function PR_XL_trailer:load(xmlFile)
	self.transportAttacherJoint = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.transportAttacherJoint#index"));
end;

function PR_XL_trailer:delete()
end;

function PR_XL_trailer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function PR_XL_trailer:keyEvent(unicode, sym, modifier, isDown)
end;

function PR_XL_trailer:update(dt)
end;

function PR_XL_trailer:draw()
end;